%produces plots demonstrating equilibrium of decay and refreshing 
close all;
decay =      [0.5, 0.5, 0.3, 0.7];
rate =       [6,   6,   4,   8  ];
opduration = [0.5, 0.5, 0.5, 0.5];
freetime =   [1.2, 0.1, 0.1, 0.1];
sharing = 5;  %number of items by which free time is equally shared

placement = [0.1, 0.57, 0.33, 0.31;    %left, bottom, width, height
             0.53, 0.57, 0.33, 0.31; 
             0.1, 0.08, 0.33, 0.31;
             0.53, 0.08, 0.33, 0.31];


h=PreFigure(1);         
for p = 1:4
    subplot(2,2,p);
    a = 1;
    T = 1;
    for operation = 1:10
        for t = 0:0.01:opduration(p)
           T = T+1;
           a(T) = a(T-1) * exp(-decay(p)*0.01); %simulates 10 ms steps
        end
        for t = 0:0.01:(freetime(p)/sharing)
            T = T+1;
            a(T) = a(T-1) + (1-a(T-1))*(1-exp(-rate(p)*0.01));
        end
    end
    plotvector = [a, NaN(1, 800-length(a))];
    plot(0.01:0.01:8, plotvector, '-','LineWidth', 2);
    titletext = ['     D = ', mat2str(decay(p)), ', R = ', mat2str(rate(p)), '     ';
                 'operation duration = ', mat2str(opduration(p));
                 '     free time = ', mat2str(freetime(p)), '    ']; 
    switch p
        case 1
            line([1 1],[0 1], 'LineStyle', ':', 'Marker', 'none', 'LineWidth', 2)
        case 2
            line([3 3],[0 1], 'LineStyle', ':', 'Marker', 'none', 'LineWidth', 2)
        case 3
            line([5 5],[0 1], 'LineStyle', ':', 'Marker', 'none', 'LineWidth', 2)
        case 4
            line([2 2],[0 1], 'LineStyle', ':', 'Marker', 'none', 'LineWidth', 2)
   
    end
    
    if p < 3, PostFigure([0, 8, 0, 1], '', 'Strength', titletext); end
    if p > 2, PostFigure([0, 8, 0, 1], 'Time (s)', 'Strength', titletext); end
end
